/*
* Style for custom CPTS single pages
*/

/*-------------------
  ## Common
---------------------*/
/* Main Container */
.cpt-post-single {width: 100%;}

/* CPT post Header */
.cpt-post-single header.cpt-single-header {position: relative; width: 100%; background: var(--alt-bg); height: calc(100vh - 105px);}
.cpt-post-single header.cpt-single-header div.overlay {position: absolute; width: 100%; height: 100%; background-color: rgba(0,0,0,0.5); z-index: 1;}
.cpt-post-single header.cpt-single-header figure {height: 100%;}
.cpt-post-single header.cpt-single-header figure img.img-cover {position: absolute;}
.cpt-post-single header.cpt-single-header figure figcaption {height: 100%;}
.cpt-post-single header.cpt-single-header figure figcaption .cpt-single-main-datas {}
.cpt-post-single header.cpt-single-header figure figcaption .cpt-single-main-datas .main-title {color: var(--light-txt-color); font-size: 4rem; margin: 1rem 0; z-index: 2;}
.cpt-post-single header.cpt-single-header figure figcaption .cpt-single-main-datas .subtitle {color: var(--light-txt-color); font-size: 1rem; margin: 0; z-index: 2; background-color: var(--featured-color); padding: 6px 12px; border-radius: 6px;}
.cpt-post-single header.cpt-single-header figure figcaption .cpt-single-main-datas .event-date {color: var(--light-txt-color); font-size: 1rem; font-weight: 700; background-color: var(--featured-color-50); padding: 6px 12px; border-radius: 6px;}
.cpt-post-single header.cpt-single-header figure figcaption .cpt-single-main-datas .event-addit-txt {width: 75%; margin: 1.25rem auto; color: var(--light-txt-color); text-align: center; background-color: var(--featured-color-50); padding: 1.25rem 6px; border-radius: 12px;}
.cpt-post-single header.cpt-single-header figure figcaption .cpt-single-main-datas .scroll-indicator {z-index: 2;}
.cpt-post-single header.cpt-single-header figure figcaption .cpt-single-main-datas .scroll-indicator i.fas {font-size: 1.25rem; margin: 12px 0; color: var(--alt-featured-color);}

.cpt-post-single header.cpt-single-header figure figcaption .cpt-single-ids-datas {position: relative;}
.cpt-post-single header.cpt-single-header figure figcaption .cpt-single-ids-datas .ids-datas-overlay {position: absolute; width: 100%; height: 100%;background-color: var(--secondary-bg); opacity: 0.5; z-index: 1; transition: 400ms all ease-in-out;}
.cpt-post-single header.cpt-single-header figure figcaption .cpt-single-ids-datas ul {position: relative; list-style: none; z-index: 2;}
.cpt-post-single header.cpt-single-header figure figcaption .cpt-single-ids-datas ul > li {margin: 1rem 0; color: var(--light-txt-color); font-size: 1rem;}
.cpt-post-single header.cpt-single-header figure figcaption .cpt-single-ids-datas ul > li > a {color: var(--light-txt-color); font-weight: 700; font-size: 1.10rem;}
.cpt-post-single header.cpt-single-header figure figcaption .cpt-single-ids-datas ul > li > i.fas {color: var(--alt-featured-color); font-size: 1.25rem; padding: 0 12px 0 12px;}

/*Nested list*/
.cpt-post-single header.cpt-single-header figure figcaption .cpt-single-ids-datas ul > li > ul {
	list-style: initial;
	padding-left: 1rem;
}
.cpt-post-single header.cpt-single-header figure figcaption .cpt-single-ids-datas ul > li > ul > li {
	list-style-type : initial;
	margin: 0;
}

.cpt-post-single header.cpt-single-header figure figcaption .cpt-single-ids-datas > a.user-delete-post {
	z-index: 2;
	color: red;
	margin-top: 2rem;
	background: rgba(255,255,255,0.75);
	padding: 4px 8px;
	border-radius: 8px;
	font-weight: 700;
}

.cpt-post-single header.cpt-single-header figure figcaption .cpt-single-ids-datas .cpt-actions-ctas {z-index: 2;}
.cpt-post-single header.cpt-single-header figure figcaption .cpt-single-ids-datas .cpt-actions-ctas a.material-cta {width: 100%; margin-top: 12px; margin-bottom: 12px;}

@media all and (max-width: 1024px) {
	.cpt-post-single header.cpt-single-header {
    height: 95vh;
  }
}

@media all and (max-width: 576px) {
  .cpt-post-single {padding-top: 81px;}
  .cpt-post-single header.cpt-single-header {
    height: 100%;
  }
  .cpt-post-single header.cpt-single-header figure figcaption .cpt-single-main-datas .main-title {font-size: 2rem; margin: 3rem 0;}
  .cpt-post-single header.cpt-single-header figure figcaption .cpt-single-main-datas .scroll-indicator {display: none;}
  .cpt-post-single header.cpt-single-header figure figcaption .cpt-single-ids-datas .ids-datas-overlay {display: none;}
}

/* CPT post Map */
.cpt-post-single #cpt-post-details {
	position: relative;
	width: 100%;
	min-height: 340px;
	background-image: url('./images/main_bg_miap-2.png');
	background-size: contain;
	background-repeat: no-repeat;
	margin: 0 0 16px 0;
	padding: 12px 12px 24px 12px;
}
.cpt-post-single #cpt-post-details .leaflet-container {position: relative; height: auto;}
.cpt-post-single #cpt-post-details .leaflet-container .leaflet-map {height: 440px;}
.cpt-post-single #cpt-post-details .leaflet-container .leaflet-gmap-cta {position: absolute; top: 0; right: 0; color: var(--light-txt-color); z-index: 10; border-radius: 0;}

/* CPT post Description */
.cpt-post-single #cpt-post-details .additional-info {}
.cpt-post-single #cpt-post-details .additional-info.resume-datas {padding-left: 12.5%; padding-right: 2.5%; margin-top: 2.5rem;}
.cpt-post-single #cpt-post-details .additional-info div.main-desc {padding: 12px 1.5rem 12px 2.5rem; max-width: 80%;}
.cpt-post-single #cpt-post-details .additional-info .cpt-actions-ctas {}
  .cpt-post-single #cpt-post-details .additional-info .cpt-actions-ctas > a.material-cta {margin-left: 12px; margin-right: 12px;}

/* CPT post Footer */
.cpt-post-single footer.event-footer {width: 90%; margin: 1rem auto;}

/*-------------------
##remseo-profiles CPT
---------------------*/
